### Method

# Gimp TextLayer get_base_direction

since: 2.6

#### Declaration [src]

    GimpTextDirection
    gimp_text_layer_get_base_direction (
      GimpTextLayer* layer
    )

#### Description [src]

Get the base direction used for rendering the text layer.

This procedure returns the base direction used for rendering the text in the text layer.

Available since: 2.6

#### Return value

Type: `GimpTextDirection`

The based direction used for the text layer.